# Class AnimationUtil

java.lang.Object
org.eclipse.jface.notifications.internal.AnimationUtil

public class AnimationUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AnimationUtil.FadeJob`
`static interface`
`AnimationUtil.IFadeListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FADE_IN_INCREMENT`
`static final int`
`FADE_OUT_INCREMENT`
`static final long`
`FADE_RESCHEDULE_DELAY`

## Constructor Summary

Constructors
Constructor
Description
`AnimationUtil()`

## Method Summary

Modifier and Type
Method
Description
`static AnimationUtil.FadeJob`
`fadeIn(Shell shell, AnimationUtil.IFadeListener listener)`
`static AnimationUtil.FadeJob`
`fadeOut(Shell shell, AnimationUtil.IFadeListener listener)`
`static AnimationUtil.FadeJob`
`fastFadeIn(Shell shell, AnimationUtil.IFadeListener listener)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FADE_RESCHEDULE_DELAY

public static final long FADE_RESCHEDULE_DELAY

See Also:
  - Constant Field Values

### FADE_IN_INCREMENT

public static final int FADE_IN_INCREMENT

See Also:
  - Constant Field Values

### FADE_OUT_INCREMENT

public static final int FADE_OUT_INCREMENT

See Also:
  - Constant Field Values

## Constructor Details

### AnimationUtil

public AnimationUtil()

## Method Details

### fastFadeIn

public static AnimationUtil.FadeJob fastFadeIn(Shell shell, AnimationUtil.IFadeListener listener)

### fadeIn

public static AnimationUtil.FadeJob fadeIn(Shell shell, AnimationUtil.IFadeListener listener)

### fadeOut

public static AnimationUtil.FadeJob fadeOut(Shell shell, AnimationUtil.IFadeListener listener)